# BBPS Master Data API

<mark style="color:blue;">**List Amount option api**</mark>

API for listing Amount Breakup options such as Fixed Charges, Late Payment Fee, Tuition Fee etc. for various Billers.

| ENDPOINT                                                                                                  |
| --------------------------------------------------------------------------------------------------------- |
| **Request:&#x20;**<mark style="color:blue;">**GET /masters/amountOptions?billerId=FE1160007XXA63**</mark> |

<mark style="color:blue;">**Request Parameters**</mark>

**The various parameters are explained below**

<table data-full-width="true"><thead><tr><th>Parent Property/Element</th><th>PropAerty/Element Name</th><th>Mandatory</th><th>Data Type</th><th>Description</th></tr></thead><tbody><tr><td>[ROOT] (No parent property / element)</td><td>billerId</td><td>M</td><td>Alphanumeric Fixed Length – 14</td><td>NPCI identifier of the biller</td></tr></tbody></table>

<mark style="color:blue;">**Response Parameters**</mark>

**The various parameters are explained below**

| Parent Property/Element                | PropAerty/Element Name | Mandatory | Data Type        | Description                                                               |
| -------------------------------------- | ---------------------- | --------- | ---------------- | ------------------------------------------------------------------------- |
| \[ROOT] (No parent property / element) | amountOptions          | M         | Boolean          | A boolean which tells if amount breakupset is present or not              |
| **amountOptionDAOS**                   | amountOptionId         | M         | UUID             | Unique ID associated with a specific Amount Breakup Set                   |
|                                        | amountBreakupSets      | M         | Array of strings | Lists all combinations of Amount Breakup Options configured by the Biller |
| **generalResp**                        | statusCode             | M         | Numeric          | 200- SUCCESS Other than 200-Failure                                       |
|                                        | status                 | M         | String           | It is either “Success” or failure                                         |
|                                        | message                | M         | String           | Contains the reason message for failure / success                         |

*<mark style="color:blue;">**Json Formatted Response Example**</mark>*

{% code overflow="wrap" fullWidth="true" %}

```json
{
"amountOptions": true, "amountOptionDAOS": [
{
"amountOptionId": "5b6e4ab4-6ae1-42cd-b7c4-0030daf77575", "amountBreakupSets": [
"BASE_BILL_AMOUNT"
]
}
],
"generalResp": { "statusCode": "200",
"status": "success",
"message": "Amount options retrieved", "remarks": ""
}
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-master-data-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
